unit MainFrm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, Menus, ComCtrls, ToolWin, ActnList,
  ImgList, ShellApi, Registry, ChildFrm, SysTray, Buttons;

const
  DefaultWinWidth = 645;       // ȱʡ
  DefaultWinHeight = 460;      // ȱʡ߶
  PageButtonWidth = 100;       // PageButton Ŀ
  PageButtonHeight = 18;       // PageButton ĸ߶

  WM_OPENFILE = WM_USER + 1;

type
  TMainForm = class(TForm)
    StatusBar: TStatusBar;
    ActionList: TActionList;
    OpenAction: TAction;
    MainMenu: TMainMenu;
    FileMenu: TMenuItem;
    FileNewItem: TMenuItem;
    ImageList: TImageList;
    NewAction: TAction;
    FileOpenItem: TMenuItem;
    HelpContentAction: TAction;
    AboutAction: TAction;
    HelpMenu: TMenuItem;
    HelpContentItem: TMenuItem;
    HelpAboutItem: TMenuItem;
    OpenFileDialog: TOpenDialog;
    SaveAction: TAction;
    SaveAsAction: TAction;
    ExecuteAction: TAction;
    PropertyAction: TAction;
    PrintAction: TAction;
    OpenFolderAction: TAction;
    QuitAction: TAction;
    FileN1Item: TMenuItem;
    FileSaveItem: TMenuItem;
    FileSaveAsItem: TMenuItem;
    FileExecuteItem: TMenuItem;
    FilePropertyItem: TMenuItem;
    FilePrintItem: TMenuItem;
    FileOpenFolderItem: TMenuItem;
    FileN4Item: TMenuItem;
    FileQuitItem: TMenuItem;
    FileN5Item: TMenuItem;
    ViewMenu: TMenuItem;
    ViewToolBarItem: TMenuItem;
    ViewStatusBarItem: TMenuItem;
    ViewN2Item: TMenuItem;
    ViewOnTopItem: TMenuItem;
    ToolMenu: TMenuItem;
    WindowMenu: TMenuItem;
    WinMgrItem: TMenuItem;
    WinMgrAction: TAction;
    WinCascAction: TAction;
    WinHoriTileAction: TAction;
    WinArrangeAction: TAction;
    WinCascItem: TMenuItem;
    WinTileItem: TMenuItem;
    WinArrangeItem: TMenuItem;
    WinN1Item: TMenuItem;
    CloseAction: TAction;
    FileCloseItem: TMenuItem;
    OptionsAction: TAction;
    ToolOptionsItem: TMenuItem;
    HelpHomePageItem: TMenuItem;
    HelpEmailItem: TMenuItem;
    HelpN1Item: TMenuItem;
    ToolN3Item: TMenuItem;
    ToolFileSplitItem: TMenuItem;
    ToolFileCombinItem: TMenuItem;
    ToolN1Item: TMenuItem;
    ToolDiskReadItem: TMenuItem;
    ToolDiskWriteItem: TMenuItem;
    ToolN2Item: TMenuItem;
    ToolNumBaseConvItem: TMenuItem;
    ToolCalItem: TMenuItem;
    ToolDecHexTableItem: TMenuItem;
    ToolASCIITableItem: TMenuItem;
    FileMRU1Item: TMenuItem;
    FileMRU2Item: TMenuItem;
    FileMRU3Item: TMenuItem;
    FileMRU4Item: TMenuItem;
    OnTopAction: TAction;
    ExportAction: TAction;
    E1: TMenuItem;
    CloseAllAction: TAction;
    L1: TMenuItem;
    FileN6Item: TMenuItem;
    SaveAllAction: TAction;
    V1: TMenuItem;
    FileN3Item: TMenuItem;
    SaveDialog: TSaveDialog;
    ToolBkmkMgrItem: TMenuItem;
    DataInspectorAction: TAction;
    ViewDataInspItem: TMenuItem;
    FilePrintSetupItem: TMenuItem;
    PrinterSetupDialog: TPrinterSetupDialog;
    EditorAction: TAction;
    FileEditorItem: TMenuItem;
    FileN8Item: TMenuItem;
    ViewN1Item: TMenuItem;
    ViewLanguageItem: TMenuItem;
    ViewLangAutoItem: TMenuItem;
    ViewLangChineseItem: TMenuItem;
    ViewLangEnglishItem: TMenuItem;
    SysTray: TSysTray;
    SysTrayPopupMenu: TPopupMenu;
    STPopupHelpItem: TMenuItem;
    STPopupAboutItem: TMenuItem;
    STPopupQuitItem: TMenuItem;
    STPopupN2Item: TMenuItem;
    STPopupShowMainWinItem: TMenuItem;
    STPopupN1Item: TMenuItem;
    ToolN4Item: TMenuItem;
    ToolToolsItem: TMenuItem;
    ToolToolsN1Item: TMenuItem;
    ToolToolsMgrItem: TMenuItem;
    T1: TMenuItem;
    WinVertTileAction: TAction;
    ToolsMgrAction: TAction;
    ToolDiskToolItem: TMenuItem;
    TopSplitterPanel: TPanel;
    CoolBar: TCoolBar;
    ToolBar: TToolBar;
    NewToolButton: TToolButton;
    OpenToolButton: TToolButton;
    SaveToolButton: TToolButton;
    ToolButton6: TToolButton;
    PropToolButton: TToolButton;
    PrintToolButton: TToolButton;
    SearchToolButton: TToolButton;
    ToolButton10: TToolButton;
    CutToolButton: TToolButton;
    CopyToolButton: TToolButton;
    PasteToolButton: TToolButton;
    ToolButton12: TToolButton;
    UndoToolButton: TToolButton;
    RedoToolButton: TToolButton;
    ToolButton15: TToolButton;
    OnTopToolButton: TToolButton;
    ToolButton1: TToolButton;
    OptionToolButton: TToolButton;
    CalcToolButton: TToolButton;
    ToolButton22: TToolButton;
    CascToolButton: TToolButton;
    TileHoriToolButton: TToolButton;
    TileVertToolButton: TToolButton;
    ToolButton5: TToolButton;
    HelpContentToolButton: TToolButton;
    FileN7Item: TMenuItem;
    ToolButton2: TToolButton;
    ToolButton3: TToolButton;
    PageHeaderScroller: TPageScroller;
    PageHeaderPanel: TPanel;
    ViewPageHeaderItem: TMenuItem;
    ViewN3Item: TMenuItem;
    HelpN2Item: TMenuItem;
    GotoToolButton: TToolButton;
    procedure NewActionExecute(Sender: TObject);
    procedure OpenActionExecute(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure SaveActionExecute(Sender: TObject);
    procedure SaveAsActionExecute(Sender: TObject);
    procedure CloseActionExecute(Sender: TObject);
    procedure ExecuteActionExecute(Sender: TObject);
    procedure PropertyActionExecute(Sender: TObject);
    procedure PrintActionExecute(Sender: TObject);
    procedure OpenFolderActionExecute(Sender: TObject);
    procedure QuitActionExecute(Sender: TObject);
    procedure OptionsActionExecute(Sender: TObject);
    procedure WinMgrActionExecute(Sender: TObject);
    procedure WinCascActionExecute(Sender: TObject);
    procedure WinHoriTileActionExecute(Sender: TObject);
    procedure WinArrangeActionExecute(Sender: TObject);
    procedure HelpContentActionExecute(Sender: TObject);
    procedure AboutActionExecute(Sender: TObject);
    procedure HelpHomePageItemClick(Sender: TObject);
    procedure HelpEmailItemClick(Sender: TObject);
    procedure ViewToolBarItemClick(Sender: TObject);
    procedure ViewStatusBarItemClick(Sender: TObject);
    procedure OnTopActionExecute(Sender: TObject);
    procedure ToolFileSplitItemClick(Sender: TObject);
    procedure ToolFileCombinItemClick(Sender: TObject);
    procedure ToolDiskReadItemClick(Sender: TObject);
    procedure ToolDiskWriteItemClick(Sender: TObject);
    procedure ToolNumBaseConvItemClick(Sender: TObject);
    procedure ToolDecHexTableItemClick(Sender: TObject);
    procedure ToolASCIITableItemClick(Sender: TObject);
    procedure ToolCalItemClick(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure FileMRU1ItemClick(Sender: TObject);
    procedure CloseAllActionExecute(Sender: TObject);
    procedure ExportActionExecute(Sender: TObject);
    procedure SaveAllActionExecute(Sender: TObject);
    procedure ToolBkmkMgrItemClick(Sender: TObject);
    procedure DataInspectorActionExecute(Sender: TObject);
    procedure FilePrintSetupItemClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure EditorActionExecute(Sender: TObject);
    procedure STPopupShowMainWinItemClick(Sender: TObject);
    procedure WinVertTileActionExecute(Sender: TObject);
    procedure CutToolButtonClick(Sender: TObject);
    procedure CopyToolButtonClick(Sender: TObject);
    procedure PasteToolButtonClick(Sender: TObject);
    procedure UndoToolButtonClick(Sender: TObject);
    procedure RedoToolButtonClick(Sender: TObject);
    procedure SearchToolButtonClick(Sender: TObject);
    procedure ToolsMgrActionExecute(Sender: TObject);
    procedure SysTrayIconMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure PageHeaderScrollerResize(Sender: TObject);
    procedure ViewPageHeaderItemClick(Sender: TObject);
    procedure GotoToolButtonClick(Sender: TObject);
  private
    { Private declarations }
    FAppMinimized: Boolean;

    procedure ShowToolBar(Value: Boolean = True);
    procedure ShowStatusBar(Value: Boolean = True);
    procedure ShowPageHeader(Value: Boolean = True);
    procedure ShowDataInsp(Value: Boolean = True);
    procedure SetOnTop(Value: Boolean = True);

    procedure ShowKeyState;

    procedure InitMRUMenuItem;
    procedure InitToolsMenuItem;
    procedure SaveFormRect;
    procedure LoadFormRect;
    function DoParam: Boolean;
    function FindChildForm(const FileName: string): TChildForm;
    function OpenFile(FileName: string): Boolean;
    procedure ShowMDIClientEdge;
    procedure AdjustUIEnabled(Active: Boolean);
    
    procedure AddPageButton(Form: TChildForm; const DisplayName: string);
    procedure DeletePageButton(Form: TChildForm);
    function FindPageButton(Form: TChildForm): TSpeedButton;
    procedure ActivePageButton(Form: TChildForm);
    procedure RenamePageButton(Form: TChildForm);

    procedure WMActivate(var Message: TWMActivate); message WM_ACTIVATE;
    procedure WMOpenFile(var Message: TMessage); message WM_OPENFILE;
    procedure AppMessage(var Msg: TMsg; var Handled: Boolean);
    procedure AppMinimize(Sender: TObject);
    procedure AppRestore(Sender: TObject);
    procedure ToolsItemClick(Sender: TObject);
    procedure PageButtonClick(Sender: TObject);
    procedure DoFileDropMessage(var Msg: TMsg; var Handled: Boolean);
  public
    { Public declarations }
    procedure ShowMainWindow;
    procedure AddToContentMenu(Add: Boolean);
    function GetMDIClientRect: TRect;
    function GetCurDoc: TChildForm;
    function GetDocCount: Integer;
    procedure ShowStatusMsg(Msg: string);
    procedure ReDrawAllDoc;
    procedure ChangeMaxUndo(Value: Integer);
    procedure ArrangeForCompare(Form1, Form2: TChildForm);
    
    procedure ChildOpenNotify(Form: TChildForm);
    procedure ChildCloseNotify(Form: TChildForm);
    procedure ChildActiveNotify(Form: TChildForm);
    procedure ChildRenameNotify(Form: TChildForm);
    procedure ChildSaveNotify(Form: TChildForm; AddToMRU: Boolean);
  end;

var
  MainForm: TMainForm;
  CheckPreInsAtom: TAtom; 

implementation

uses
  Global, Misc, PrjMisc, MRUMgr, ToolsMgr, BkmkMgr, SysOptMgr, WinVer,
  OptionFrm, FilePropFrm, NumBaseConvFrm, SetSizeFrm, DecHexFrm,
  AsciiFrm, BkmkMgrFrm, WinMgrFrm, DataInspFrm, AboutFrm,
  ToolsMgrFrm, DiskIOFrm, FileSplitFrm, FileCombinFrm;

{$R *.DFM}
{$R Pictures.res}

procedure TMainForm.ShowToolBar(Value: Boolean);
begin
  ToolBar.Visible := Value;
  ViewToolBarItem.Checked := Value;
end;

procedure TMainForm.ShowStatusBar(Value: Boolean);
begin
  StatusBar.Visible := Value;
  ViewStatusBarItem.Checked := Value;
end;

procedure TMainForm.ShowPageHeader(Value: Boolean);
begin
  PageHeaderScroller.Visible := Value;
  ViewPageHeaderItem.Checked := Value;
end;

procedure TMainForm.ShowDataInsp(Value: Boolean);
begin
  ShowDataInspForm(Value);
  if GetCurDoc <> nil then GetCurDoc.FillDataInspector;
  DataInspectorAction.Checked := Value;
  Self.BringToFront;
end;

procedure TMainForm.SetOnTop(Value: Boolean);
begin
  SetStayOnTop(Self, Value);
  OnTopAction.Checked := Value;
end;

procedure TMainForm.ShowKeyState;
var
  Cap, Num, Ins: Boolean;
begin
  Ins := ByteBool(GetKeyState(VK_INSERT) and 1);
  Cap := ByteBool(GetKeyState(VK_CAPITAL) and 1);
  Num := ByteBool(GetKeyState(VK_NUMLOCK) and 1);

  if Ins then StatusBar.Panels[1].Text := 'INS'
  else StatusBar.Panels[1].Text := '';

  if Cap then StatusBar.Panels[2].Text := 'CAP'
  else StatusBar.Panels[2].Text := '';

  if Num then StatusBar.Panels[3].Text := 'NUM'
  else StatusBar.Panels[3].Text := '';
end;

function TMainForm.GetCurDoc: TChildForm;
begin
  if Self.ActiveMDIChild is TChildForm then
    Result := Self.ActiveMDIChild as TChildForm
  else
    Result := nil;
end;

function TMainForm.GetDocCount: Integer;
var
  I: Integer;
begin
  Result := 0;
  for I := 0 to Self.MDIChildCount - 1 do
  begin
    if Self.MDIChildren[I] is TChildForm then
      Inc(Result);
  end;
end;

procedure TMainForm.InitMRUMenuItem;
var
  I: Integer;
  MenuItem: TMenuItem;
begin
  for I := 1 to MRUManager.Items.Count do
  begin
    MenuItem := FindComponent('FileMRU' + IntToStr(I) + 'Item') as TMenuItem;
    MenuItem.Caption := '&' + IntToStr(MenuItem.Tag) + ' ' + MRUManager.GetDisplayString(I - 1);
    MenuItem.Visible := True;
  end;
  FileN5Item.Visible := MRUManager.Items.Count > 0;
end;

procedure TMainForm.InitToolsMenuItem;
var
  I: Integer;
  MenuItem: TMenuItem;
begin
  I := 0;
  while I < ToolToolsItem.Count do
  begin
    MenuItem := ToolToolsItem.Items[I];
    if MenuItem.Tag <> -1 then
      ToolToolsItem.Delete(I)
    else
      Inc(I);
  end;

  for I := 0 to High(ToolsManager.Items) do
  begin
    MenuItem := TMenuItem.Create(Self);
    ToolToolsItem.Insert(I, MenuItem);
    MenuItem.Tag := I;
    MenuItem.Caption := ToolsManager.Items[I].Title;
    MenuItem.OnClick := ToolsItemClick;
    if I < 9 then
      MenuItem.ShortCut := ShortCut(Word(Ord('1')+I), [ssAlt]);
  end;
  ToolToolsN1Item.Visible := Length(ToolsManager.Items) > 0;
end;

procedure TMainForm.SaveFormRect;
var
  R: TRect;
begin
  if WindowState = wsMaximized then
    R := Screen.WorkAreaRect else
    R := BoundsRect;
  OptMgr.Values[SOptWinLeft] := R.Left;
  OptMgr.Values[SOptWinTop] := R.Top;
  OptMgr.Values[SOptWinRight] := R.Right;
  OptMgr.Values[SOptWinBottom] := R.Bottom;
end;

procedure TMainForm.LoadFormRect;
var
  DefRect, R: TRect;
begin
  DefRect.Left := (Screen.Width - DefaultWinWidth) div 2;
  DefRect.Top := (Screen.Height - DefaultWinHeight) div 2;
  DefRect.Right := DefRect.Left + DefaultWinWidth;
  DefRect.Bottom := DefRect.Top + DefaultWinHeight;

  if OptMgr.Values[SOptSaveWinSize] then
  begin
    R.Left := OptMgr.Values[SOptWinLeft];
    R.Top := OptMgr.Values[SOptWinTop];
    R.Right := OptMgr.Values[SOptWinRight];
    R.Bottom := OptMgr.Values[SOptWinBottom];
    if (R.Right - R.Left > Screen.Width) or (R.Bottom - R.Top > Screen.Height) then
      FillChar(R, SizeOf(R), 0);
    if (R.Left >= R.Right) or (R.Top >= R.Bottom) then
      R := DefRect;
    BoundsRect := R;
    MakeFullyVisible;
  end else
  begin
    BoundsRect := DefRect;
  end;
end;

function TMainForm.DoParam: Boolean;
var
  I: Integer;
begin
  for I := 1 to ParamCount do
  begin
    OpenFile(ParamStr(I));
  end;
  Result := (ParamCount >= 1);
end;

function TMainForm.FindChildForm(const FileName: string): TChildForm;
var
  Form: TChildForm;
  I: Integer;
begin
  Result := nil;
  for I := 0 to MDIChildCount - 1 do
    if MDIChildren[I] is TChildForm then
    begin
      Form := (MDIChildren[i] as TChildForm);
      if CompareText(GetFullFileName(Form.FileName), FileName) = 0 then
      begin
        Result := Form;
        Break;
      end;
    end;
end;

function TMainForm.OpenFile(FileName: string): Boolean;
var
  Form: TChildForm;
  R, FileSize: Integer;
begin
  Result := False;
  if not FileExists(FileName) then
  begin
    MsgBox(Format('ļ %s ڣ', [FileName]));
  end else
  begin
    FileSize := GetFileSize(FileName);
    if FileSize = 0 then
      MsgBox(Format('ļ %s Ϊ 0 ֽڣ', [FileName]))
    else if FileSize >= WarningFileSize then
    begin
      R := MsgBox(Format('ļ %s Ϊ %s ҪҪķѴڴ档' + #13 +
        'ȷʵҪļ', [ExtractFileName(FileName), GetSizeString(FileSize)]),
        MB_YESNO + MB_ICONQUESTION + MB_DEFBUTTON2);
      if R = ID_NO then Exit;
    end;

    Form := FindChildForm(FileName);
    if Form = nil then
    begin
      Form := TChildForm.Create(Self);
      if Form.LoadFromFile(FileName) then
      begin
        FileName := Form.FileName;
        Form.Caption := FileName;
        MRUManager.AddMRU(FileName);
        InitMRUMenuItem;
        AddPageButton(Form, Form.DisplayName);
        Result := True;
      end else
      begin
        Form.Free;
        MsgBox(Format('ļ %s ʱļǷڻӦóռá',
          [FileName]), MB_OK + MB_ICONERROR);
      end;
    end else
    begin
      Form.BringToFront;
    end;
  end;
end;

procedure TMainForm.AdjustUIEnabled(Active: Boolean);
begin
  SaveAction.Enabled := Active;
  SaveAllAction.Enabled := Active;
  SaveAsAction.Enabled := Active;
  CloseAction.Enabled := Active;
  CloseAllAction.Enabled := Active;
  PrintAction.Enabled := Active;
  FilePrintSetupItem.Enabled := Active;
  ExecuteAction.Enabled := Active;
  EditorAction.Enabled := Active;
  PropertyAction.Enabled := Active;
  ExportAction.Enabled := Active;
  SearchToolButton.Enabled := Active;
  GotoToolButton.Enabled := Active;
  if not Active then
  begin
    CutToolButton.Enabled := Active;
    CopyToolButton.Enabled := Active;
    PasteToolButton.Enabled := Active;
    UndoToolButton.Enabled := Active;
    RedoToolButton.Enabled := Active;
  end;
end;

procedure TMainForm.AddPageButton(Form: TChildForm; const DisplayName: string);

  function CalcNewButtonRect: TRect;
  var
    I, MaxLeft: Integer;
    Button: TSpeedButton;
  begin
    MaxLeft := -PageButtonWidth;
    for I := 0 to PageHeaderPanel.ControlCount - 1 do
      if PageHeaderPanel.Controls[I] is TSpeedButton then
      begin
        Button := (PageHeaderPanel.Controls[I] as TSpeedButton);
        if Button.Left > MaxLeft then MaxLeft := Button.Left;
      end;
    Result.Left := MaxLeft + PageButtonWidth;
    Result.Top := 2;
    Result.Right := Result.Left + PageButtonWidth;
    Result.Bottom := Result.Top + PageButtonHeight;
  end;

  function CreatePageButton: TSpeedButton;
  var
    Rect: TRect;
  begin
    Rect := CalcNewButtonRect;
    Result := TSpeedButton.Create(Self);
    with Result do
    begin
      Parent := PageHeaderPanel;
      BoundsRect := Rect;
      Flat := True;
      Margin := 4;
      GroupIndex := 1;
      Glyph.LoadFromResourceName(HInstance, 'PageButtonDot');
      Caption := RestrictStrWidth(DisplayName, Canvas, PageButtonWidth - 15);
      if Caption <> DisplayName then
        Hint := DisplayName;
      Tag := Integer(Form);
      OnClick := PageButtonClick;
    end;
    PageHeaderPanel.Width := Result.Left + Result.Width;
  end;

begin
  with CreatePageButton do
  begin
    Down := True;
  end;;
end;

procedure TMainForm.DeletePageButton(Form: TChildForm);
var
  I, Left: Integer;
  Button: TSpeedButton;
begin
  // ɾ
  Button := FindPageButton(Form);
  if Button <> nil then
    Button.Free;

  // 
  Left := 0;
  for I := 0 to PageHeaderPanel.ControlCount - 1 do
    if PageHeaderPanel.Controls[I] is TSpeedButton then
    begin
      Button := (PageHeaderPanel.Controls[I] as TSpeedButton);
      Button.Left := Left;
      Inc(Left, PageButtonWidth);
    end;
    
  PageHeaderScrollerResize(nil);
end;

function TMainForm.FindPageButton(Form: TChildForm): TSpeedButton;
var
  I: Integer;
  Button: TSpeedButton;
begin
  Result := nil;
  for I := 0 to PageHeaderPanel.ControlCount - 1 do
    if PageHeaderPanel.Controls[I] is TSpeedButton then
    begin
      Button := (PageHeaderPanel.Controls[I] as TSpeedButton);
      if Button.Tag = Integer(Form) then
      begin
        Result := Button;
        Break;
      end;
    end;
end;

procedure TMainForm.ActivePageButton(Form: TChildForm);
var
  Button: TSpeedButton;
begin
  Button := FindPageButton(Form);
  if Button <> nil then
    Button.Down := True;
end;

procedure TMainForm.RenamePageButton(Form: TChildForm);
var
  Button: TSpeedButton;
begin
  Button := FindPageButton(Form);
  if Button <> nil then
    Button.Caption := ExtractFileName(Form.FileName);
end;

procedure TMainForm.ShowMDIClientEdge;
var
  Style: Longint;
begin
  if ClientHandle <> 0 then
  begin
    Style := GetWindowLong(ClientHandle, GWL_EXSTYLE);
    if Style and WS_EX_CLIENTEDGE = 0 then
      Style := Style or WS_EX_CLIENTEDGE
    else
      Exit;
    SetWindowLong(ClientHandle, GWL_EXSTYLE, Style);
    SetWindowPos(ClientHandle, 0, 0,0,0,0, SWP_FRAMECHANGED or SWP_NOACTIVATE or
      SWP_NOMOVE or SWP_NOSIZE or SWP_NOZORDER);
  end;
end;

procedure TMainForm.WMActivate(var Message: TWMActivate);
begin
  case Message.Active of
    WA_ACTIVE, WA_CLICKACTIVE:
      begin
        if GetCurDoc <> nil then
          GetCurDoc.FormActivate(nil);
        ShowKeyState;
      end;
    WA_INACTIVE:
      begin
      end;
  end;
  inherited;
end;

procedure TMainForm.WMOpenFile(var Message: TMessage);
var
  S: array[0..MAX_PATH] of Char;
begin
  ShowMainWindow;
  GlobalGetAtomName(Message.LParam, S, MAX_PATH);
  OpenFile(S);
end;

procedure TMainForm.AppMessage(var Msg: TMsg; var Handled: Boolean);
begin
  case Msg.Message of
    WM_DROPFILES:
      DoFileDropMessage(Msg, Handled);
    WM_KEYDOWN:
      ShowKeyState;
  end;
end;

procedure TMainForm.AppMinimize(Sender: TObject);
begin
  FAppMinimized := True;
  if TMinimizeMode(OptMgr.Values[SOptMinimizeMode]) = msSysTray then
  begin
    ShowWindow(Application.Handle, SW_HIDE);
    SysTray.Active := True;
  end;
end;

procedure TMainForm.AppRestore(Sender: TObject);
begin
  FAppMinimized := False;
end;

procedure TMainForm.ToolsItemClick(Sender: TObject);
var
  MenuItem: TMenuItem;
  Idx, RunMode: Integer;
  Item: TToolsItem;
  Hnd: THandle;
begin
  MenuItem := Sender as TMenuItem;
  Idx := MenuItem.Tag;
  Item := ToolsManager.Items[Idx];
  if Item.RunMode = 0 then RunMode := SW_SHOWDEFAULT
  else if Item.RunMode = 1 then RunMode := SW_SHOWMAXIMIZED
  else RunMode := SW_SHOWMINIMIZED;
  Hnd := ShellExecute(Application.Handle, 'Open', PChar(Item.CmdLine), PChar(Item.Para), PChar(Item.WorkDir), RunMode);
  if Hnd <= 32 then
    MsgBox(Format('ù %s ִʧܡ', [MenuItem.Caption]));
end;

procedure TMainForm.PageButtonClick(Sender: TObject);
var
  Button: TSpeedButton;
begin
  Button := Sender as TSpeedButton;
  Button.Down := True;
  TChildForm(Button.Tag).BringToFront;
end;

procedure TMainForm.DoFileDropMessage(var Msg: TMsg; var Handled: Boolean);
const
  BufferLength = MAX_PATH;
var
  DroppedFileName: string;
  FileIndex: UINT;
  DroppedFiles: Word;
  FileNameBuffer: array[0..BufferLength] of Char;
begin
  case Msg.Message of
    WM_DROPFILES:
      begin
        FileIndex := $FFFFFFFF;
        DroppedFiles := DragQueryFile(Msg.WParam, FileIndex, FileNameBuffer, BufferLength);

        for FileIndex := 0 to (DroppedFiles - 1) do
        begin
          DragQueryFile(Msg.WParam, FileIndex, FileNameBuffer, BufferLength);
          DroppedFileName := FileNameBuffer;
          OpenFile(DroppedFileName);
        end;
        DragFinish(Msg.WParam);
        Handled := True;
      end;
  end;
end;

procedure TMainForm.ShowMainWindow;
begin
  if FAppMinimized then
  begin
    if SysTray.Active then
      STPopupShowMainWinItemClick(nil)
    else
      Application.Restore;
  end else
    SetForegroundWindow(Handle);
end;

procedure TMainForm.AddToContentMenu(Add: Boolean);
var
  R: TRegistry;
  Key: string;
begin
  R := TRegistry.Create;
  R.RootKey := HKEY_CLASSES_ROOT;

  Key := '\*\Shell\ MiniHex ';
  R.OpenKey(Key + '\Command', True);
  if Add then
  begin
    R.WriteString('', Application.ExeName + ' "%1"');
  end else
    R.DeleteKey(Key);

  R.Free;
end;

function TMainForm.GetMDIClientRect: TRect;
begin
  Result.Left := 0;
  Result.Top := 0;
  Result.Right := ClientWidth - 4;
  Result.Bottom := ClientHeight - CoolBar.Height -
    TopSplitterPanel.Height - StatusBar.Height - 4;
end;

procedure TMainForm.ShowStatusMsg(Msg: string);
begin
  if Msg = '' then Msg := Format('%s %s', [SSoftName, SVersion]);
  StatusBar.Panels[0].Text := Msg;
  StatusBar.Refresh;
end;

procedure TMainForm.ReDrawAllDoc;
var
  I: Integer;
  Form: TChildForm;
begin
  for I := 0 to Self.MDIChildCount - 1 do
  begin
    if Self.MDIChildren[I] is TChildForm then
    begin
      Form := Self.MDIChildren[I] as TChildForm;
      Form.ReDraw;
    end;
  end;
end;

procedure TMainForm.ChangeMaxUndo(Value: Integer);
var
  I: Integer;
  Form: TChildForm;
begin
  for I := 0 to Self.MDIChildCount - 1 do
  begin
    if Self.MDIChildren[I] is TChildForm then
    begin
      Form := Self.MDIChildren[I] as TChildForm;
      Form.HexEdit.UndoLimit := Value;
    end;
  end;
end;

procedure TMainForm.ArrangeForCompare(Form1, Form2: TChildForm);
var
  I: Integer;
  Form: TChildForm;
begin
  for I := 0 to Self.MDIChildCount - 1 do
  begin
    if Self.MDIChildren[I] is TChildForm then
    begin
      Form := Self.MDIChildren[I] as TChildForm;
      if (Form <> Form1) and (Form <> Form2) then
        Form.WindowState := wsMinimized;
      WinHoriTileActionExecute(nil);
    end;
  end;
end;

procedure TMainForm.ChildOpenNotify(Form: TChildForm);
begin
  if OptMgr.Values[SOptAutoShowPageHdr] then
    ShowPageHeader(GetDocCount >= 2);
  AdjustUIEnabled(GetDocCount > 0);
end;

procedure TMainForm.ChildCloseNotify(Form: TChildForm);
var
  LeftDocCount: Integer;
begin
  LeftDocCount := GetDocCount - 1;
  DeletePageButton(Form);
  AdjustUIEnabled(LeftDocCount > 0);
  if OptMgr.Values[SOptAutoShowPageHdr] then
    ShowPageHeader(LeftDocCount > 1);
end;

procedure TMainForm.ChildActiveNotify(Form: TChildForm);
begin
  ActivePageButton(Form);
end;

procedure TMainForm.ChildRenameNotify(Form: TChildForm);
begin
  RenamePageButton(Form);
end;

procedure TMainForm.ChildSaveNotify(Form: TChildForm; AddToMRU: Boolean);
begin
  if AddToMRU then
  begin
    MRUManager.AddMRU(Form.FileName);
    InitMRUMenuItem;
  end;
end;

procedure TMainForm.FormCreate(Sender: TObject);
var
  IniFileName: string;
begin
  IniFileName := OptMgr.FileName;
  MRUManager := TMRUMgr.Create(IniFileName);
  ToolsManager := TToolsMgr.Create(IniFileName);
  BkmkManager := TBkmkMgr.Create(GetBookmarkFileName);
  DragAcceptFiles(Handle, True);
  Application.OnMessage := AppMessage;
  Application.OnMinimize := AppMinimize;
  Application.OnRestore := AppRestore;
  OptMgr.Load;
  InitMRUMenuItem;
  InitToolsMenuItem;
  LoadFormRect;
  ShowStatusMsg('');
  AdjustUIEnabled(GetDocCount > 0);
  ShowPageHeader(False);
  // гı
  SetProp(Handle, SSoftName, Handle);
end;

procedure TMainForm.FormActivate(Sender: TObject);
const
  First: Boolean = True;
begin
  if First then
  begin
    First := False;
    if not DoParam then
      if OptMgr.Values[SOptAutoShowOpen] then OpenActionExecute(nil);
    if OptMgr.Values[SOptShowDataInsp] then ShowDataInsp(True);
  end;
end;

procedure TMainForm.FormShow(Sender: TObject);
begin
//
end;

procedure TMainForm.FormDestroy(Sender: TObject);
begin
  SaveFormRect;
  MRUManager.Free;
  ToolsManager.Free;
  BkmkManager.Free;
  OptMgr.Save;
  GlobalDeleteAtom(CheckPreInsAtom);
end;

procedure TMainForm.FormResize(Sender: TObject);
begin
  StatusBar.Panels[0].Width := StatusBar.Width - 115;
end;

procedure TMainForm.NewActionExecute(Sender: TObject);
var
  Form: TChildForm;
  BufSize: Integer;
begin
  BufSize := 1024;
  if ShowSetSizeForm(BufSize, '½', '(ֽ):') then
  begin
    Form := TChildForm.Create(Self);
    Form.Caption := SDefaultFileName;
    if Form.NewBuffer(BufSize) then
      AddPageButton(Form, Form.DisplayName)
    else
      Form.Free;
  end;
end;

procedure TMainForm.OpenActionExecute(Sender: TObject);
var
  I: Integer;
begin
  if OpenFileDialog.Execute then
  begin
    for I := 0 to OpenFileDialog.Files.Count - 1 do
    begin
      OpenFile(OpenFileDialog.Files[I]);
    end;
  end;
end;

procedure TMainForm.SaveActionExecute(Sender: TObject);
var
  Form: TChildForm;
begin
  Form := GetCurDoc;
  if Form <> nil then Form.Save;
end;

procedure TMainForm.SaveAllActionExecute(Sender: TObject);
var
  I: Integer;
begin
  for I := 0 to Self.MDIChildCount - 1 do
  begin
    if Self.MDIChildren[I] is TChildForm then
      (Self.MDIChildren[I] as TChildForm).Save;
  end;
end;

procedure TMainForm.SaveAsActionExecute(Sender: TObject);
var
  Form: TChildForm;
begin
  Form := GetCurDoc;
  if Form <> nil then Form.SaveAs;
end;

procedure TMainForm.CloseActionExecute(Sender: TObject);
var
  Form: TChildForm;
begin
  Form := GetCurDoc;
  if Form <> nil then Form.Close;
end;

procedure TMainForm.CloseAllActionExecute(Sender: TObject);
var
  I: Integer;
begin
  for I := 0 to Self.MDIChildCount - 1 do
  begin
    if Self.MDIChildren[I] is TChildForm then
      (Self.MDIChildren[I] as TChildForm).Close;
  end;
  Application.ProcessMessages;
  AdjustUIEnabled(GetDocCount > 0);
end;

procedure TMainForm.ExecuteActionExecute(Sender: TObject);
var
  Form: TChildForm;
begin
  Form := GetCurDoc;
  if Form = nil then Exit;
  Form.Execute;
end;

procedure TMainForm.EditorActionExecute(Sender: TObject);
var
  Form: TChildForm;
begin
  Form := GetCurDoc;
  if Form = nil then Exit;
  Form.OpenWithEditor;
end;

procedure TMainForm.PropertyActionExecute(Sender: TObject);
var
  Form: TChildForm;
begin
  Form := GetCurDoc;
  if Form <> nil then
  begin
    ShowFilePropForm(Form.FileName);
  end;
end;

procedure TMainForm.PrintActionExecute(Sender: TObject);
var
  Form: TChildForm;
begin
  Form := GetCurDoc;
  if Form = nil then Exit;
  Form.Print;
end;

procedure TMainForm.FilePrintSetupItemClick(Sender: TObject);
begin
  try
    PrinterSetupDialog.Execute;
  except
    MsgBox('޷дӡãǷװ˴ӡ', MB_OK + MB_ICONERROR);
  end;
end;

procedure TMainForm.ExportActionExecute(Sender: TObject);
var
  Form: TChildForm;
begin
  Form := GetCurDoc;
  if Form = nil then Exit;
  Form.ExportToText;
end;

procedure TMainForm.OpenFolderActionExecute(Sender: TObject);
var
  Path: string;
  Ok: Boolean;
  SR: TSearchRec;
  R, Count, Done: Integer;
begin
  Path := '';
  Ok := SelectDir(Handle, 'ѡһļ:', '', Path);
  if Ok then
  begin
    Path := AddDirSuffix(Path);
    
    // ļ
    Count := 0;
    Done := FindFirst(Path + '*.*', faAnyFile - faDirectory, SR);
    while Done = 0 do
    begin
      Inc(Count);
      Done := FindNext(SR);
    end;
    FindClose(SR);

    if Count >= WarningFileCount then
    begin
      R := MsgBox(Format('ļ %s ° %d ļҪҪķѱȽϳʱ䡣' + #13 +
        'ȷʵҪļ', [Path, Count]),
        MB_YESNO + MB_ICONQUESTION + MB_DEFBUTTON2);
      if R = ID_NO then Exit;
    end;

    Done := FindFirst(Path + '*.*', faAnyFile - faDirectory, SR);
    while Done = 0 do
    begin
      OpenFile(Path + SR.Name);
      Done := FindNext(SR);
    end;
    FindClose(SR);
  end;
end;

procedure TMainForm.QuitActionExecute(Sender: TObject);
begin
  //showmessage(inttostr(integer(winversion)));
  Close;
end;

procedure TMainForm.OptionsActionExecute(Sender: TObject);
begin
  ShowOptionForm(0);
end;

procedure TMainForm.ToolsMgrActionExecute(Sender: TObject);
begin
  ShowToolsMgrForm;
  InitToolsMenuItem;
end;

procedure TMainForm.WinMgrActionExecute(Sender: TObject);
begin
  ShowWinMgrForm;
end;

procedure TMainForm.WinCascActionExecute(Sender: TObject);
begin
  ShowMDIClientEdge;
  Self.Cascade;
end;

procedure TMainForm.WinHoriTileActionExecute(Sender: TObject);
begin
  ShowMDIClientEdge;
  Self.TileMode := tbHorizontal;
  Self.Tile;
end;

procedure TMainForm.WinVertTileActionExecute(Sender: TObject);
begin
  ShowMDIClientEdge;
  Self.TileMode := tbVertical;
  Self.Tile;
end;

procedure TMainForm.WinArrangeActionExecute(Sender: TObject);
begin
  Self.ArrangeIcons;
end;

procedure TMainForm.HelpContentActionExecute(Sender: TObject);
begin
  ShowHelp;
end;

procedure TMainForm.AboutActionExecute(Sender: TObject);
begin
  ShowAboutForm;
end;

procedure TMainForm.HelpHomePageItemClick(Sender: TObject);
begin
  ShellExecute(Handle, 'Open', PChar(SWebsite), '', '', SW_SHOW);
end;

procedure TMainForm.HelpEmailItemClick(Sender: TObject);
var
  S: string;
begin
  S := 'About ' +  SSoftName + ' ' + SVersion;
  ShellExecute(Handle, 'Open', PChar(Format('mailto:%s?subject="%s"', [SEmail, S])), '', '', SW_SHOW);
end;

procedure TMainForm.ViewToolBarItemClick(Sender: TObject);
begin
  ShowToolBar(not ViewToolBarItem.Checked);
end;

procedure TMainForm.ViewPageHeaderItemClick(Sender: TObject);
begin
  ShowPageHeader(not ViewPageHeaderItem.Checked);
end;

procedure TMainForm.ViewStatusBarItemClick(Sender: TObject);
begin
  ShowStatusBar(not ViewStatusBarItem.Checked);
end;

procedure TMainForm.DataInspectorActionExecute(Sender: TObject);
begin
  ShowDataInsp(not ViewDataInspItem.Checked);
end;

procedure TMainForm.OnTopActionExecute(Sender: TObject);
begin
  SetOnTop(not OnTopAction.Checked);
end;

procedure TMainForm.ToolFileSplitItemClick(Sender: TObject);
begin
  ShowFileSplitForm;
end;

procedure TMainForm.ToolFileCombinItemClick(Sender: TObject);
begin
  ShowFileCombinForm;
end;

procedure TMainForm.ToolDiskReadItemClick(Sender: TObject);
var
  Form: TChildForm;
  Data: TDiskIOData;
begin
  if ShowDiskIOForm(True, Data) then
  begin
    Form := TChildForm.Create(Self);
    if Form.LoadFromLogicSector(Data.Drive, Data.SectorStart, Data.SectorCount) then
    begin
      AddPageButton(Form, Form.DisplayName)
    end else
    begin
      Form.Free;
      MsgBox('ʧܡ', MB_OK + MB_ICONERROR);
    end;
  end;
end;

procedure TMainForm.ToolDiskWriteItemClick(Sender: TObject);
var
  Form: TChildForm;
  Data: TDiskIOData;
  R: Integer;
begin
  Form := GetCurDoc;
  if Form = nil then Exit;
  if ShowDiskIOForm(False, Data) then
  begin
    R := MsgBox('дпܵ´𻵣',
      MB_YESNO + MB_ICONQUESTION + MB_DEFBUTTON2);
    if R = ID_NO then Exit;
    if not Form.SaveToLogicSector(Data.Drive, Data.SectorStart) then
      MsgBox('дʧܡ', MB_OK + MB_ICONERROR);
  end;
end;

procedure TMainForm.ToolBkmkMgrItemClick(Sender: TObject);
begin
  ShowBkmkMgrForm;
end;

procedure TMainForm.ToolNumBaseConvItemClick(Sender: TObject);
begin
  ShowNumBaseConvForm;
end;

procedure TMainForm.ToolDecHexTableItemClick(Sender: TObject);
begin
  ShowDecHexForm;
end;

procedure TMainForm.ToolASCIITableItemClick(Sender: TObject);
begin
  ShowAsciiForm;
end;

procedure TMainForm.ToolCalItemClick(Sender: TObject);
begin
  WinExec('Calc.exe', SW_SHOW);
end;

procedure TMainForm.FileMRU1ItemClick(Sender: TObject);
var
  FileName: string;
  MenuItem: TMenuItem;
begin
  MenuItem := Sender as TMenuItem;
  FileName := MRUManager.Items[MenuItem.Tag - 1];
  OpenFile(FileName);
end;

procedure TMainForm.STPopupShowMainWinItemClick(Sender: TObject);
begin
  ShowWindow(Application.Handle, SW_SHOW);
  SysTray.Active := False;
  Application.Restore;
end;

procedure TMainForm.SysTrayIconMouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  if Button = mbLeft then
  begin
    STPopupShowMainWinItemClick(nil);
  end;
end;

procedure TMainForm.CutToolButtonClick(Sender: TObject);
begin
  if GetCurDoc <> nil then
    GetCurDoc.HexEdit.CutToClipboard;
end;

procedure TMainForm.CopyToolButtonClick(Sender: TObject);
begin
  if GetCurDoc <> nil then
    GetCurDoc.HexEdit.CopyToClipboard;
end;

procedure TMainForm.PasteToolButtonClick(Sender: TObject);
begin
  if GetCurDoc <> nil then
    GetCurDoc.HexEdit.PasteFromClipboard;
end;

procedure TMainForm.UndoToolButtonClick(Sender: TObject);
begin
  if GetCurDoc <> nil then
    GetCurDoc.Undo;
end;

procedure TMainForm.RedoToolButtonClick(Sender: TObject);
begin
  if GetCurDoc <> nil then
    GetCurDoc.Redo;
end;

procedure TMainForm.SearchToolButtonClick(Sender: TObject);
begin
  if GetCurDoc <> nil then
    GetCurDoc.SearchText;
end;

procedure TMainForm.GotoToolButtonClick(Sender: TObject);
begin
  if GetCurDoc <> nil then
    GetCurDoc.GotoAddress;
end;

procedure TMainForm.PageHeaderScrollerResize(Sender: TObject);
begin
  PageHeaderPanel.Width := GetDocCount * PageButtonWidth;
end;

end.
