unit SysOptMgr;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls,
  Forms, Dialogs, Menus, HexEdit, OptionsMgr, Global;

const
  //--ϵͳ:
  SOptAutoShowOpen = 'AutoShowOpen';        //ǷԶ
  SOptAddContextMenu = 'AddContextMenu';    //Ƿ뵽ԴҼ˵
  SOptAllowMultiInst = 'AllowMultiInst';    //Ƿʵ
  SOptDrawCharStyle = 'DrawCharStyle';      //ַʾʽ(TDrawCharStyle)
  SOptSaveWinSize = 'SaveWinSize';          //Ƿ񱣴洰ĴСλ
  SOptAutoShowPageHdr = 'AutoShowPageHdr';  //ǷԶʾҳл
  SOptDblClickAct = 'DblClickAct';          //˫ʱĶ
  SOptMinimizeMode = 'MinimizeMode';        //Сʽ

  SOptEditFontName = 'EditFontName';        //༭()
  SOptEditFontSize = 'EditFontSize';        //༭(С)
  SOptEditFontStyle = 'EditFontStyle';      //༭()
  SOptEditFontColor = 'EditFontColor';      //༭(ɫ)
  SOptEditFontCharset = 'EditFontCharset';  //༭(ַ)

  SOptAddrFColor = 'AddrFColor';            //ַַɫ
  SOptAddrBColor = 'AddrBColor';            //ַɫ
  SOptHexFColor = 'HexFColor';              //ʮַɫ
  SOptHexBColor = 'HexBColor';              //ʮɫ
  SOptChrFColor = 'ChrFColor';              //ַַɫ
  SOptChrBColor = 'ChrBColor';              //ַɫ
  SOptBlockFColor = 'BlockFColor';          //ַɫ
  SOptBlockBColor = 'BlockBColor';          //鱳ɫ
  SOptCurItemFColor = 'CurItemFColor';      //ַɫ
  SOptCurItemBColor = 'CurItemBColor';      //걳ɫ

  SOptPromptSave = 'PromptSave';            //Ƿڱǰʾ
  SOptCreateBak = 'CreateBak';              //Ƿ񴴽ļ
  SOptMaxUndo = 'MaxUndo';                  //UNDO

  SOptShowDataInsp = 'ShowDataInsp';        //ǷԶʾ
  SOptShowU8Data = 'ShowU8Data';            //Ƿʾ ޷8λ  
  SOptShowS8Data = 'ShowS8Data';            //Ƿʾ з8λ  
  SOptShowU16Data = 'ShowU16Data';          //Ƿʾ ޷16λ 
  SOptShowS16Data = 'ShowS16Data';          //Ƿʾ з16λ 
  SOptShowU32Data = 'ShowU32Data';          //Ƿʾ ޷32λ 
  SOptShowS32Data = 'ShowS32Data';          //Ƿʾ з32λ 
  SOptShowS64Data = 'ShowS64Data';          //Ƿʾ з64λ 
  SOptShowSingleData = 'ShowSingleData';    //Ƿʾ ȸ 
  SOptShowDoubleData = 'ShowDoubleData';    //Ƿʾ ˫ȸ 
  SOptShowReal48Data = 'ShowReal48Data';    //Ƿʾ Real48 
  SOptShowBinaryData = 'ShowBinaryData';    //Ƿʾ      
  SOptDefDataInspPos = 'DefDataInspPos';    //ȱʡλ
  SOptTempPath = 'TempPath';                //ʱļ·
  SOptDefEditor = 'DefEditor';              //ȱʡı༭

  SOptShowToolbar = 'ShowToolbar';          //Ƿʾ
  SOptShowStatusBar = 'ShowStatusBar';      //Ƿʾ״̬
  SOptStayOnTop = 'StayOnTop';              //Ƿʱǰ

  SOptStatusLengthNumBase = 'StatusLengthNumBase';         //״̬LengthĽ
  SOptStatusOffsetNumBase = 'StatusOffsetNumBase';         //״̬OffsetĽ
  SOptStatusBlockInfoNumBase = 'StatusBlockInfoNumBase';   //״̬BlockInfoĽ
  SOptStatusCurValueType = 'StatusCurValueType';           //״̬еǰֵ

  SOptWinLeft = 'WinLeft';                  //Left
  SOptWinTop = 'WinTop';                    //Top
  SOptWinRight = 'WinRight';                //Right
  SOptWinBottom = 'WinBottom';              //Bottom
  
type

{ TSysOptionsMgr }

  TSysOptionsMgr = class(TOptionsManager)
  protected
    procedure InitDefault; override;
  public
    constructor Create;
    destructor Destroy; override;
  end;

var
  OptMgr: TSysOptionsMgr;

implementation

uses Misc, DataInspFrm;

{ TSysOptionsMgr }

constructor TSysOptionsMgr.Create;
begin
  inherited;
  AccessorClass := TIniOptAccessor;
  FileName := ExtractFilePath(Application.ExeName) + OptionsFileName;
end;

destructor TSysOptionsMgr.Destroy;
begin
  inherited;
end;

procedure TSysOptionsMgr.InitDefault;
begin
  inherited;
  Clear;
  Add(SOptAutoShowOpen, False);
  Add(SOptAddContextMenu, True);
  Add(SOptAllowMultiInst, False);
  Add(SOptDrawCharStyle, dcDblByteChar);
  Add(SOptSaveWinSize, False);
  Add(SOptAutoShowPageHdr, True);
  Add(SOptDblClickAct, 0);
  Add(SOptMinimizeMode, 0);

  Add(SOptEditFontName, 'Fixedsys');
  Add(SOptEditFontSize, 12);
  Add(SOptEditFontStyle, 0);
  Add(SOptEditFontColor, clWindowText);
  Add(SOptEditFontCharset, GB2312_CHARSET);

  Add(SOptAddrFColor, clBlue);
  Add(SOptAddrBColor, clWhite);
  Add(SOptHexFColor, clBlack);
  Add(SOptHexBColor, clWhite);
  Add(SOptChrFColor, clBlack);
  Add(SOptChrBColor, clWhite);
  Add(SOptBlockFColor, clWhite);
  Add(SOptBlockBColor, clNavy);
  Add(SOptCurItemFColor, clWhite);
  Add(SOptCurItemBColor, clBlue);

  Add(SOptPromptSave, False);
  Add(SOptCreateBak, True);
  Add(SOptMaxUndo, 20);

  Add(SOptShowDataInsp, False);
  Add(SOptShowU8Data, True);
  Add(SOptShowS8Data, True);
  Add(SOptShowU16Data, True);
  Add(SOptShowS16Data, True);
  Add(SOptShowU32Data, True);
  Add(SOptShowS32Data, True);
  Add(SOptShowS64Data, True);
  Add(SOptShowSingleData, True);
  Add(SOptShowDoubleData, True);
  Add(SOptShowReal48Data, True);
  Add(SOptShowBinaryData, True);
  Add(SOptDefDataInspPos, dpRightBottom);
  Add(SOptTempPath, GetWinTempDir);
  Add(SOptDefEditor, DefaultTextEditor);

  Add(SOptShowToolbar, True);
  Add(SOptShowStatusBar, True);
  Add(SOptStayOnTop, False);

  Add(SOptStatusLengthNumBase, raDec);
  Add(SOptStatusOffsetNumBase, raDec);
  Add(SOptStatusBlockInfoNumBase, raDec);
  Add(SOptStatusCurValueType, vt32s);

  Add(SOptWinLeft, 0);             //ȫΪ0ʾδʼ
  Add(SOptWinTop, 0);
  Add(SOptWinRight, 0);
  Add(SOptWinBottom, 0);
end;

initialization
  OptMgr := TSysOptionsMgr.Create;

finalization
  OptMgr.Free;

end.
